﻿using BPA.SAAS.Manage.Application.Device.Dtos.Device;
using BPA.SAAS.Manage.Application.Device.Interface;
using BPA.SAAS.Manage.Core.Base;
using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device
{
    [ApiDescriptionSettings("Device", Tag = "设备基础信息管理")]
    public class DeviceServices: IDynamicApiController, ITransient
    {
        IDeviceService _deviceService;
        public DeviceServices(IDeviceService deviceService)
        {
            _deviceService=deviceService;
        }
       /// <summary>
       /// 分页查询
       /// </summary>
       /// <param name="inputDto"></param>
       /// <returns></returns>
        [HttpPost("/api/device/page")]
        public async Task<PageUtil> GetDeviceInfoPage(DeviceQueryInputDto inputDto)
        {
            return await _deviceService.GetDeviceInfoPage(inputDto);
        }
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/device/add")]
        public async Task<bool> AddDevice(DeviceInfoBaseDto inputDto)
        {
            return await _deviceService.AddDevice(inputDto);
        }
        /// <summary>
        /// 修改
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        [HttpPost("/api/device/update")]
        public async Task<bool> UpdateDevice(DeviceInfoBaseDto inputDto)
        {
            return await _deviceService.UpdateDevice(inputDto);
        }
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="inputList"></param>
        /// <returns></returns>
        [HttpPost("/api/device/delete")]
        public async Task<bool> DelDeviceInfo(List<string> inputList)
        {
            return await _deviceService.DelDeviceInfo(inputList);
        }
    }
}
